Bug 1297976 - [abrt] inkscape: _g_log_abort(): inkscape killed by SIGTRAP
[abrt] inkscape: _g_log_abort(): inkscape killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9cd8158e2d9e6ec6a3fb8ea79b3...
:
: 1328433 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 16:52 EST by Milan Bouchet-Valat
Modified: 2016-12-20 12:49 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:49:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (80.15 KB, text/plain)
2016-01-12 16:52 EST, Milan Bouchet-Valat
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-12 16:52 EST, Milan Bouchet-Valat
no flags Details
File: core_backtrace (11.44 KB, text/plain)
2016-01-12 16:52 EST, Milan Bouchet-Valat
no flags Details
File: dso_list (15.07 KB, text/plain)
2016-01-12 16:52 EST, Milan Bouchet-Valat
no flags Details
File: environ (1.06 KB, text/plain)
2016-01-12 16:52 EST, Milan Bouchet-Valat
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-12 16:52 EST, Milan Bouchet-Valat
no flags Details
File: maps (72.01 KB, text/plain)
2016-01-12 16:52 EST, Milan Bouchet-Valat
no flags Details
File: mountinfo (3.61 KB, text/plain)
2016-01-12 16:52 EST, Milan Bouchet-Valat
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-12 16:52 EST, Milan Bouchet-Valat
no flags Details
File: open_fds (709 bytes, text/plain)
2016-01-12 16:52 EST, Milan Bouchet-Valat
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-01-12 16:52 EST, Milan Bouchet-Valat
no flags Details
File: var_log_messages (297 bytes, text/plain)
2016-01-12 16:52 EST, Milan Bouchet-Valat
no flags Details

  None (edit)
Description Milan Bouchet-Valat 2016-01-12 16:52:28 EST
Description of problem:
Inkscape crashed after being busy for a long time simplifying a complex set of paths.

Version-Release number of selected component:
inkscape-0.91-15.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        inkscape /home/milan/EHESS/Homogamie/Manuscrit/1036ED3B00003E6D00001DC4BD575450D85D40EF.svg
crash_function: _g_log_abort
executable:     /usr/bin/inkscape
global_pid:     21492
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:324
 #7 XGrabDevice at XGrabDev.c:103
 #8 _gdk_input_grab_pointer at gdkinput-xfree.c:382
 #9 _gdk_windowing_pointer_grab at gdkmain-x11.c:201
 #10 gdk_pointer_grab at gdkwindow.c:10396
 #11 sp_canvas_item_grab at display/sp-canvas.cpp:884
 #12 Inkscape::UI::ControlPoint::_eventHandler at ui/tool/control-point.cpp:265
 #13 Inkscape::UI::SelectorPoint::_eventHandler at ui/tool/selector.cpp:64
 #14 Inkscape::UI::SelectorPoint::event at ui/tool/selector.cpp:52
 #15 Inkscape::UI::Selector::event at ui/tool/selector.cpp:124

Potential duplicate: bug 1232190
Comment 1 Milan Bouchet-Valat 2016-01-12 16:52:36 EST
Created attachment 1114156 [details]
File: backtrace
Comment 2 Milan Bouchet-Valat 2016-01-12 16:52:37 EST
Created attachment 1114157 [details]
File: cgroup
Comment 3 Milan Bouchet-Valat 2016-01-12 16:52:39 EST
Created attachment 1114158 [details]
File: core_backtrace
Comment 4 Milan Bouchet-Valat 2016-01-12 16:52:41 EST
Created attachment 1114159 [details]
File: dso_list
Comment 5 Milan Bouchet-Valat 2016-01-12 16:52:42 EST
Created attachment 1114160 [details]
File: environ
Comment 6 Milan Bouchet-Valat 2016-01-12 16:52:44 EST
Created attachment 1114161 [details]
File: limits
Comment 7 Milan Bouchet-Valat 2016-01-12 16:52:46 EST
Created attachment 1114162 [details]
File: maps
Comment 8 Milan Bouchet-Valat 2016-01-12 16:52:47 EST
Created attachment 1114163 [details]
File: mountinfo
Comment 9 Milan Bouchet-Valat 2016-01-12 16:52:49 EST
Created attachment 1114164 [details]
File: namespaces
Comment 10 Milan Bouchet-Valat 2016-01-12 16:52:50 EST
Created attachment 1114165 [details]
File: open_fds
Comment 11 Milan Bouchet-Valat 2016-01-12 16:52:52 EST
Created attachment 1114166 [details]
File: proc_pid_status
Comment 12 Milan Bouchet-Valat 2016-01-12 16:52:53 EST
Created attachment 1114167 [details]
File: var_log_messages
Comment 13 andreas.stoeckel 2016-04-16 16:10:36 EDT
Similar problem has been detected:

Crash when pasting an image from the clipboard (not reproducible)

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        inkscape
crash_function: _g_log_abort
executable:     /usr/bin/inkscape
global_pid:     8500
kernel:         4.4.6-301.fc23.x86_64
package:        inkscape-0.91-15.fc23
reason:         inkscape killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Edward O'Callaghan 2016-04-19 07:41:48 EDT
*** Bug 1328433 has been marked as a duplicate of this bug. ***
Comment 15 Fedora End Of Life 2016-11-24 09:53:04 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 12:49:27 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.